Bug 498698 - Maximize window problem on f11 with intel KMS enabled
Maximize window problem on f11 with intel KMS enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 498575 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 00:44 EDT by Howard Ning
Modified: 2009-11-05 19:19 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 19:19:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshots of the cases (109.78 KB, application/x-gzip)
2009-05-02 00:46 EDT, Howard Ning
no flags Details
Xorg.0.log (no xorg.conf) (72.97 KB, text/plain)
2009-05-04 16:02 EDT, Ivan Stojmirov
no flags Details
Xorg.0.log (73.38 KB, text/plain)
2009-05-04 22:19 EDT, Howard Ning
no flags Details
Xorg.0.log with GM965/X3100 (15.01 KB, text/plain)
2009-05-30 05:24 EDT, Märt
no flags Details

  None (edit)
Description Howard Ning 2009-05-02 00:44:59 EDT
Description of problem:
If I maximize a windows in gnome at the corner, the window will not maximize in full screen, but If I drag the window to the centre of the screen and maximize it, the window will be maximized normally to full screen.
My screen resolution is 1440x900 with a intel X4500MHD card in thinkpad X200s. The intel KMS is enabled. If I disable it, everything work normally.


Version-Release number of selected component (if applicable):
2.26.0 1.fc11

How reproducible:
Maximize a window and then press "+" to get full screen.


Steps to Reproduce:
1. Open a window
2. Move to the upper-left corner 
3. Press "+" to maxmize it
  
Actual results:
It just get half maxmized

Expected results:
Maxmize as normal

Additional info:
screenshot discription:

1.jpg: the evince window does not maxmize after pressing "+" button at the top left side of screen.,
2.jpg: the gnome-terminal window does not maxmize after pressing "+" button at the top left side of screen.
3.jpg: the gnome-terminal window maxmize normally when I maxmize it in the center of the screen
Comment 1 Howard Ning 2009-05-02 00:46:57 EDT
Created attachment 342163 [details]
screenshots of the cases
Comment 2 Adam Williamson 2009-05-02 21:59:05 EDT
CCing airlied and krh as this involves the intel driver in some way.
Comment 3 Matěj Cepl 2009-05-04 10:29:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Matěj Cepl 2009-05-04 10:29:37 EDT
*** Bug 498575 has been marked as a duplicate of this bug. ***
Comment 5 Ivan Stojmirov 2009-05-04 16:02:17 EDT
Created attachment 342374 [details]
Xorg.0.log (no xorg.conf)
Comment 6 Howard Ning 2009-05-04 22:19:22 EDT
Created attachment 342402 [details]
Xorg.0.log
Comment 7 Adam Jackson 2009-05-07 17:27:12 EDT
Yeah, we're seeing DVI outputs as "attached" even though they probably aren't.
Comment 8 Howard Ning 2009-05-07 20:04:50 EDT
I don't even have DVI port on my laptop. The Intel GMA 4500MHD does support DVI though.
Comment 9 Märt 2009-05-30 05:24:13 EDT
Created attachment 345971 [details]
Xorg.0.log with GM965/X3100

I have the same bug, but with Gentoo linux. 

Using: 
xorg-server-1.6.1.901
intel's latest driver from git (DRI2 + UXA + KMS)
intel x3100 GM965 intgrated graphics

Without KMS, everything's OK. 
With KMS, maximizing acts funny and TV1 is reported connected: 

mart@artemis ~ $ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+
TV1 disconnected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
  1024x768 (0x3f)   65.0MHz
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
Comment 10 Bug Zapper 2009-06-09 10:59:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Märt 2009-06-11 07:53:05 EDT
Looks like kernel 2.6.30 fixed it for me.
Comment 12 Matěj Cepl 2009-06-11 10:00:02 EDT
Reporter, could you please confirm the report in comment 11?

Thank you
Comment 13 Howard Ning 2009-06-11 10:40:24 EDT
(In reply to comment #12)
> Reporter, could you please confirm the report in comment 11?
> 
> Thank you  

I haven't tried 2.6.30.
But I have a workaround. I tried disabled all DVI and VGA display leaving LVDS only. The bug seems gone. Maybe it is a bug of device detection.
Comment 14 davidgf 2009-10-12 07:50:17 EDT
I confirm this bug is still happening in kernel 2.6.30.8-64-fc11.
The only way to solve in by the moment is using xrandr --output DVI2 --off, which produced a kernel faliure (but the system does not hang).

The screen still seems to be connected but the windows resize correctly.
Comment 16 Matěj Cepl 2009-11-05 13:28:16 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 17 Christoph Sievers 2009-11-05 14:49:22 EST
(In reply to comment #16)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.

That's right!

> Alternatively, you can also try to test whether this bug is reproducible with
> the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta
> available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using
> that you get all the latest packages without need to install anything on your
> computer. For more information on using LiveMedia take a look at
> https://fedoraproject.org/wiki/FedoraLiveCD .

The issue went away since 2.6.30 or so.

> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.

I installed f12 from the nightlies lately and the issue is gone.

thank you very much and
rgds
Christoph
Comment 18 Adam Williamson 2009-11-05 19:19:52 EST
2.6.30 went into F11, so I think we can close this, and re-open if Liberty's still having trouble...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.